XMonad.StackSet

# Introduction

## The Zipper

## Xinerama support

## Master and Focus

data StackSet i l a sid sd

data Workspace i l a

data Screen i l a sid sd

data Stack a

data RationalRect

# Construction

new

view

greedyView

# Xinerama operations

lookupWorkspace

screens

workspaces

allWindows

currentTag

# Operations on the current stack

peek

index

integrate

integrate'

differentiate

focusUp

swapDown

swapUp

focusDown

focusUp'

focusDown'

focusMaster

focusWindow

tagMember

renameTag

ensureTags

member

findTag

mapWorkspace

mapLayout

# Modifying the stackset

insertUp

delete

delete'

filter

# Setting the master window

swapMaster

shiftMaster

modify

modify'

float

sink

# Composite operations

shift

shiftWin

abort